
Introduction
====

AuthenticationSample is a sample project that will help you successfully log into your Facebook or Twitter account.

![image1](/screenshots/authentication_samle1.png)![image2](/screenshots/authentication_samle2.png)![image3](/screenshots/authentication_samle3.png)

Setup
====

* Follow the [ProjectSetup sample](https://github.com/chute/chute-tutorials/tree/master/Android/Project%20Setup) for a complete guide on how to setup the Chute SDK.
  
* Register the activities, service and application class in the AndroidManifest.xml file

    ```
        <application
         android:name=".AuthenticationApp"
         android:allowBackup="true"
         android:icon="@drawable/ic_launcher"
         android:label="@string/app_name"
         android:theme="@style/AppTheme" >
         <service android:name="com.dg.libs.rest.services.HTTPRequestExecutorService" />

         <activity
            android:name="com.chute.components.android.authenticationsample.activity.DemoAuthenticationActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
         </activity>
         <activity android:name="com.chute.components.android.authenticationsample.activity.MainActivity" />
         <activity android:name="com.chute.sdk.v2.api.authentication.AuthenticationActivity" />
         </application>
    ```

Usage
====


###Application class

Initialize the Chute credentials from your Chute developer account:

<pre><code>
  @Override
  public void onCreate() {
    super.onCreate();
    Chute.init(getApplicationContext(), new AuthConstants(APP_ID, APP_SECRET));
  }
</code></pre> 


###Login 

In order to successfully login to your account, you need to start the AuthenticationActivity and pass the account type depending on the account you wish to login to.  
Supported account types: Chute, Facebook, Twitter, Picasa, Flickr, Instagram, Dropbox, Google+, GoogleDrive and SkyDrive.  

<pre><code>
    private class OnLoginClickListener implements OnClickListener {

    @Override
    public void onClick(final View v) {
      final AccountType accountType = (AccountType) v.getTag();
      AuthenticationFactory.getInstance().startAuthenticationActivity(BaseLoginActivity.this, accountType);
    }
  }
</code></pre> 


       
